<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipt</title>
</head>
<body>
    <main>
        <header>
            <nav>
                {% if user.is_authenticated %}
                <ul>
                    <li> <a href= "{% url 'create_receipt' %}" > Create Receipt </a></li>
                    <li> <a href= "{% url 'create_category' %}" > Create Category </a></li>
                    <li> <a href= "{% url 'create_account' %}" > Create Account </a></li>
                    <li> <a href= "{% url 'category_list' %}" > Category List </a></li>
                    <li> <a href= "{% url 'account_list' %}" > Account List </a></li>
                    <li> <a href= "{% url 'home' %}" > My Receipts </a></li>
                    <li> <a href= "{% url 'logout' %}" > Logout </a></li>
                </ul>
                {% endif %}
                <ul>
                    <li> <a href= "{% url 'signup' %}" > Sign Up </a></li>
                    <li> <a href= "{% url 'login' %}" > Login </a></li>
                </ul>
            </nav>
        </header>
        <h1> My Receipts </h1>
        <table>
            <thead>
                <tr>
                    <th> Vendor </th>
                    <th> Total </th>
                    <th> Tax </th>
                    <th> Date </th>
                    <th> Category </th>
                    <th> Account </th>
                </tr>
            </thead>
            <tbody>
                {% for item in receipts %}
                <tr>
                    <td> {{ item.vendor }} </td>
                    <td> {{ item.total }} </td>
                    <td> {{ item.tax }}</td>
                    <td> {{ item.date|date:"m/d/y" }} </td>
                    <td> {{ item.category.name }} </td>
                    <td> {{ item.account.name }} </td>
                </tr>
                {% endfor %}
        </table>
    </main>
</body>
</html>
